;; -*-emacs-lisp-*-
;;
;; Emacs startup file for the Debian GNU/Linux vm-bonus-el package

(cond
 ((not (file-exists-p "/usr/share/emacs/site-lisp/vm-bonus-el"))
  (message "Package vm-bonus-el removed but not purged.  Skipping setup."))
 ((not (file-exists-p (concat "/usr/share/"
                              (symbol-name debian-emacs-flavor)
                              "/site-lisp/vm-bonus-el/u-vm-color.elc")))
  (message "Package vm-bonus-el not fully installed.  Skipping setup."))
 (t
  (debian-pkg-add-load-path-item
   (concat "/usr/share/"
           (symbol-name debian-emacs-flavor)
           "/site-lisp/vm-bonus-el"))

  (defgroup vm-bonus-el nil
    "Customize vm-bonus-el Debian packages."
    :group 'vm)

  ;; u-vm-color.el
  (defgroup u-vm-color nil
    "Font-lock support for vm."
    :group 'vm
    :group 'vm-bonus-el
    :load 'u-vm-color)

  (autoload 'u-vm-color-summary-mode "u-vm-color"
    "Configure `font-lock-keywords' and add some hooks for vm-buffers.
Optional argument ARG is not used!"
    t)

  (autoload 'u-vm-color-fontify-buffer "u-vm-color"
    "Fontifies mail-buffers."
    t)
  ))
